<?php include('inc/template.php');?>

<div class="breadcumb-area d-flex align-items-center">
	<div class="container">
		<div class="row align-items-center">
			<div class="col-md-12">
				<div class="breacumb-content">
					<div class="breadcum-title">
						<h4>About Us</h4>
					</div>
					<ul>
						<li><a href="index.php">Home</a></li>
						<li>/</li>
						<li>About</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>
<!--room-area-->
<div class="about-area inner">
	<div class="container">
		<div class="row align-items-center">
			<div class="col-lg-6">
         		<div class="about-thumb">
		           <img src="assets/images/inner/about-thumb.jpg" alt="">
            	</div>
			</div>
			<div class="col-lg-6  upper">
				<div class="section-title two">
					
					<h1>About us Hotel Mohini</h1>
					
					<p  class="about-inner-desc" align="justify">Welcome to Hotel Mohini, your ideal escape in the heart of Ahmedabad. Strategically located near major landmarks such as Sabarmati Railway Station, Motera Stadium, and Main Bus Stand, we ensure that your stay is both comfortable and convenient.
					</p>
					<p  class="about-inner-desc" align="justify">At Hotel Mohini, we pride ourselves on offering a seamless blend of modern amenities, exceptional service, and warm hospitality. Whether you are in town for an exciting cricket match, an important business trip, or a leisurely exploration of Ahmedabad’s rich culture, our hotel serves as a perfect base for your trip.</p>
					<p  class="about-inner-desc" align="justify">Established with a vision to provide a luxurious yet affordable experience, Hotel Mohini is dedicated to making each guest feel at home. Our thoughtfully designed spaces and personalized services ensure that your stay with us is memorable, relaxing, and truly exceptional.</p>
				</div>	
				<?php 
$sql = "SELECT hotel_address,email,contact_office,contact_mobile FROM hotel_contacts where status = '1'";
$result = mysqli_query($conn, $sql);
if (mysqli_num_rows($result) > 0) {
$row = mysqli_fetch_assoc($result)
?>
				<div class="contact-title">
						<h4>Call Us Now</h4>
						<p><a href="tel:<?php echo $row['contact_office']; ?>" style="font-size: 26px">+91 <?php echo substr($row['contact_office'], 0, 5) . ' ' . substr($row['contact_office'], 5); ?></a></p>

					</div>
				<?php  } else { ?>
			<?php }  ?>
				
			</div>
		</div>
	</div>
</div>
<div class="facilities-area home-two">
	<div class="container">
		
		<div class="row">
			<div class="col-lg-4 col-md-6">
				<div class="single-facilities-box-two">
					<div class="facilities-icon">
						<img src="assets/images/mission.png" alt="mission">
					</div>
					<div class="facilities-content-two">
						<h4>Our Mission</h4>
						<p>At Hotel Mohini, our goal is to make every guest feel at home. Our mission is to provide exceptional service, unmatched comfort and a warm, welcoming atmosphere. We are dedicated to ensuring that each stay with us is as enjoyable, comfortable and memorable as possible.</p>
                         
					</div>
				</div>
			</div>			
			<div class="col-lg-4 col-md-6">
				<div class="single-facilities-box-two" >
					<div class="facilities-icon">
						<img src="assets/images/vision.png" alt="vision">
					</div>
					<div class="facilities-content-two">
						<h4>Our Vision</h4>
						<p>To become the preferred choice for travellers visiting Ahmedabad by redefining hospitality through our commitment to providing exceptional service, modern amenities and a luxurious yet affordable experience. We aspire to create lasting memories for our guests and set a benchmark in the hospitality industry.</p>
                         
					</div>
				</div>
			</div>			
			<div class="col-lg-4 col-md-6">
				<div class="single-facilities-box-two">
					<div class="facilities-icon">
						<img src="assets/images/values.png" alt="values">
					</div>
					<div class="facilities-content-two">
						<h4>Our Values </h4>
						<p>Our aim is to provide exceptional accommodation and amenities at great value. Honesty and respect strengthen our relationships with guests, staff and the community, fostering trust and transparency. We are dedicated to sustainability, adopting eco-friendly practices and making a positive contribution to the environment and the local community. </p>
                        
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<?php include('inc/footer.php');?>