<?php include('inc/template.php');?>

<div class="breadcumb-area d-flex align-items-center">
	<div class="container">
		<div class="row align-items-center">
			<div class="col-md-12">
				<div class="breacumb-content">
					<div class="breadcum-title">
						<h4>Get in Touch</h4>
					</div>
					<ul>
						<li><a href="index.php">Home</a></li>
						<li>/</li>
						<li>Get in Touch</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="contact-area style-two inner">
	<div class="container">
		<div class="row">
			<div class="col-lg-6">
				<div class="section-title two">
					<h4>Contact us</h4>
					<h1>Contact With Us</h1>
					<!--<p class="section-desc-2">Rapidiously myocardinate cross-platform intellectual capital after the
                       model. Appropriately create interactive infrastructures after maintance
                       Holisticly facilitate stand-alone
					</p>-->
				</div>
				<?php 
$sql = "SELECT hotel_address,email,contact_office,contact_mobile FROM hotel_contacts where status = '1'";
$result = mysqli_query($conn, $sql);
$row = mysqli_fetch_assoc($result)
?>
				<div class="single-contact-box">
					<div class="contact-icon">
						<i class="bi bi-telephone-fill"></i>
					</div>
					<div class="contact-title">
						<h4>Call Us Now</h4>
						<p><a href="tel:<?php echo $row['contact_office']; ?>">+91 <?php echo substr($row['contact_office'], 0, 5) . ' ' . substr($row['contact_office'], 5); ?></a></p>

					</div>
				</div>				
				<div class="single-contact-box">
					<div class="contact-icon">
						<i class="bi bi-envelope"></i>
					</div>
					<div class="contact-title">
						<h4>Sent Email</h4>
						<p><a href="mailto:<?php echo $row['email']; ?>"><?php echo $row['email']; ?></a></p>
					</div>
				</div>					
				<div class="single-contact-box">
					<div class="contact-icon">
						<i class="bi bi-geo-alt-fill"></i>
					</div>
					<div class="contact-title">
						<h4>Our Locations</h4>
						<p><?php echo $row['hotel_address'];?></p>
					</div>
				</div>	
			</div>
			<div class="col-lg-6">
				<div class="booking-area home-five">
							<div class="booking-list-content">
								<h4>Get in Touch</h4>
							</div>
			<form action="#" method="POST" id="dreamit-form">
    <div class="row">
        <!-- Name Input -->
        <div class="col-lg-12 col-md-12 col-sm-12">
            <div class="single-booking-box">
                <label>Name</label>
                <input type="text" id="fullname" maxlength="50" >
                
            </div>
        </div>

        <!-- Mobile Input -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Mobile</label>
                <input type="tel" id="mobile" pattern="\d{10}" maxlength="10" inputmode="numeric"  oninput="this.value=this.value.replace(/[^0-9]/g,'');">
            </div>
        </div>

        <!-- Email Input -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Email</label>
                <input type="email"  id="email">
            </div>
        </div>
		
               

        <!-- Adult Input -->
        <div class="col-lg-12 col-md-12 col-sm-12">
            <div class="single-booking-box">
                <label>Subject</label>
                <input type="text" id="subject" >
            </div>
        </div>

        <!-- Children Input -->
        

        <!-- Message -->
        <div class="col-lg-12 col-md-6 col-sm-6">
            <div class="single-booking-box">
				 <label>Message</label>
                <textarea id="message" placeholder="Write Message" maxlength="150" ></textarea>
            </div>
        </div>

        <!-- CAPTCHA -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Enter Captcha</label>
                <input id="captcha" name="captcha" type="text" required />
                
                </div>
        </div>
		 <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <br>
               <img id="captcha_code" src="captcha_code.php" alt="" />
                <button class="btnRefresh" name="submit">Refresh Captcha</button>
                
                </div>
        </div>
		

        <!-- Submit Button -->
        <div class="col-md-12">
            <div class="booking-button">
                <button type="submit">Send Now</button>
            </div>
        </div>
    </div>
</form>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script> <!-- jQuery -->
<script>
$(document).ready(function() {
    // Handle form submission
    $('#dreamit-form').on('submit', function(event) {
        event.preventDefault(); // Prevent default form submission

        // Get form data
        var formData = {
            fullname: $('#fullname').val(),
            roomname: $('#roomname').val(),
            mobile: $('#mobile').val(),
            email: $('#email').val(),
            check_in: $('#check_in').val(),
            check_out: $('#check_out').val(),
            adult: $('#adult').val(),
            children: $('#children').val(),
            message: $('#message').val(),
            captcha: $('#captcha').val()
        };

        // Basic client-side validation
        if (!formData.fullname || !formData.mobile || !formData.email || !formData.check_in || !formData.check_out) {
            alert('Please fill in all required fields.');
            return false;
        }

        // Send form data via AJAX
        $.ajax({
            url: 'booking_inquiry_action.php',  // Your PHP file for processing the form
            type: 'POST',
            data: formData,
            success: function(response) {
                try {
                    var jsonResponse = JSON.parse(response); // Parse the JSON response from the server
                    if (jsonResponse.status === 'success') {
                        alert('Booking inquiry sent successfully!');
                        $('#dreamit-form')[0].reset(); // Reset the form
                    } else {
                        alert(jsonResponse.message || 'An error occurred.');
                    }
                } catch (e) {
                    alert('Unexpected error occurred.');
                }
            },
            error: function() {
                alert('An error occurred while sending the inquiry.');
            }
        });
    });
});
</script>
					<script type="text/javascript" src="assets/js/jquery-1.11.1.min.js"></script>
	<script type="text/javascript">
	
	
	$(document).ready(function(){	
   $('.btnAction').click(function(){
	   if($('#captcha').val() == '')
	   {
		   alert("Please enter the captcha code");
		   return false;
	   }
	})
	
	$('.btnRefresh').click(function(){
		  $("#captcha_code").attr('src','captcha_code.php');
		  return false;
	   })	
							}) 
</script>       

						</div>
				
			</div>
		</div>
	</div>
</div>
<!--room-area-->


<?php include('inc/footer.php');?>