<?php include('inc/template.php'); ?>

<div class="container-xxl flex-grow-1 container-p-y">
	<button class="btn btn-secondary create-new btn-primary waves-effect waves-light" data-bs-toggle="modal" data-bs-target="#editUser" type="button"><span><i class="ti ti-plus me-sm-1"></i> <span class="d-none d-sm-inline-block">Add New Record</span></span></button>
	<div class="modal fade" id="editUser" tabindex="-1" aria-hidden="true">
                <div class="modal-dialog modal-lg modal-simple modal-edit-user">
                  <div class="modal-content">
                    <div class="modal-body">
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                      <div class="text-center mb-6">
                        <h4 class="mb-2">Room Category</h4>
                        </div>
                      <form id="editUserForm" class="row g-6" onsubmit="return false">
                        <div class="col-12 col-md-12">
                          <label class="form-label" for="modalEditUserFirstName">Room Category</label>
                          <input type="text" id="modalEditUserFirstName" name="modalEditUserFirstName"  class="form-control" />
                        </div>
                        
                        <div class="col-12 col-md-12">
                          <label class="form-label" for="modalEditUserStatus">Status</label>
                          <select
                            id="modalEditUserStatus"
                            name="modalEditUserStatus"
                            class="select2 form-select"
                            aria-label="Default select example">
                            <option selected>Status</option>
                            <option value="1">Active</option>
                            <option value="2">Inactive</option>
                            </select>
                        </div>
                       
                        <div class="col-12 text-center">
                          <button type="submit" class="btn btn-primary me-3">Submit</button>
                          <button type="reset"  class="btn btn-label-secondary" data-bs-dismiss="modal" aria-label="Close">Cancel</button>
                        </div>
                      </form>
                    </div>
                  </div>
                </div>
              </div>
	<div class="card">
                <h5 class="card-header">Responsive Datatable</h5>
		
                <div class="card-datatable table-responsive">
                  <table class="datatables-ajax table">
                    <thead>
                      <tr>
                        <th>No.</th>
                        <th>Room Category</th>
						
                        <th>Status</th>
                        <th>Action</th>
                        
                      </tr>
                    </thead>
					 <tbody>
						 <tr>
					 	 <td>1</td>
						 <td>1</td>
						 <td><label class="switch switch-success">
                            <input type="checkbox" class="switch-input" checked="">
                            <span class="switch-toggle-slider">
                              <span class="switch-on">
                                <i class="ti ti-check"></i>
                              </span>
                              <span class="switch-off">
                                <i class="ti ti-x"></i>
                              </span>
                            </span>
                            
                          </label></td>
						 <td><button type="button" class="btn btn-xs btn-warning waves-effect waves-light rounded-pill">
                            <i class="tf-icons ti ti-edit"></i>
                          </button> <button type="button" class="btn btn-xs btn-danger waves-effect waves-light rounded-pill">
                            <i class="tf-icons ti ti-trash"></i>
                          </button></td>
						 </tr>
						 <tr>
					 	 <td>2</td>
						 <td>1</td>
						 <td><label class="switch switch-success">
                            <input type="checkbox" class="switch-input" checked="">
                            <span class="switch-toggle-slider">
                              <span class="switch-on">
                                <i class="ti ti-check"></i>
                              </span>
                              <span class="switch-off">
                                <i class="ti ti-x"></i>
                              </span>
                            </span>
                            
                          </label></td>
						 <td><button type="button" class="btn btn-xs btn-warning waves-effect waves-light rounded-pill">
                            <i class="tf-icons ti ti-edit"></i>
                          </button> <button type="button" class="btn btn-xs btn-danger waves-effect waves-light rounded-pill">
                            <i class="tf-icons ti ti-trash"></i>
                          </button></td>
						 </tr>
						  <tr>
					 	 <td>3</td>
						 <td>1</td>
						 <td><label class="switch switch-success">
                            <input type="checkbox" class="switch-input" checked="">
                            <span class="switch-toggle-slider">
                              <span class="switch-on">
                                <i class="ti ti-check"></i>
                              </span>
                              <span class="switch-off">
                                <i class="ti ti-x"></i>
                              </span>
                            </span>
                            
                          </label></td>
						 <td><button type="button" class="btn btn-xs btn-warning waves-effect waves-light rounded-pill">
                            <i class="tf-icons ti ti-edit"></i>
                          </button> <button type="button" class="btn btn-xs btn-danger waves-effect waves-light rounded-pill">
                            <i class="tf-icons ti ti-trash"></i>
                          </button></td>
						 </tr>
						  <tr>
					 	 <td>4</td>
						 <td>1</td>
						 <td><label class="switch switch-success">
                            <input type="checkbox" class="switch-input" checked="">
                            <span class="switch-toggle-slider">
                              <span class="switch-on">
                                <i class="ti ti-check"></i>
                              </span>
                              <span class="switch-off">
                                <i class="ti ti-x"></i>
                              </span>
                            </span>
                            
                          </label></td>
						 <td><button type="button" class="btn btn-xs btn-warning waves-effect waves-light rounded-pill">
                            <i class="tf-icons ti ti-edit"></i>
                          </button> <button type="button" class="btn btn-xs btn-danger waves-effect waves-light rounded-pill">
                            <i class="tf-icons ti ti-trash"></i>
                          </button></td>
						 </tr>
					  </tbody>
                    
                  </table>
                </div>
              </div>
	

</div>

<?php include('inc/footer.php'); ?>