<?php include('inc/template.php');?>
<?php
$roomcat = isset($_GET['type']) ? $_GET['type'] : ''; 
$querytype = "SELECT  room_cat,description FROM room_categories WHERE slug = '$roomcat' ";
$result = mysqli_query($conn,$querytype);
$rowtype = mysqli_fetch_array($result);?>

<div class="breadcumb-area d-flex align-items-center">
	<div class="container">
		<div class="row align-items-center">
			<div class="col-md-12">
				<div class="breacumb-content">
					<div class="breadcum-title">
						<h4><?php echo ucwords(htmlspecialchars($rowtype['room_cat'])); ?></h4>
					</div>
					<ul>
						<li><a href="index.php">Home</a></li>
						<li>/</li>
						<li><?php echo ucwords(htmlspecialchars($rowtype['room_cat'])); ?></li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>
<!--room-area-->
<div class="room-area inner">
	<div class="container">
		<div class="row">
			<div class="col-md-12 text-center">
				<div class="section-title center inner" data-cue="zoomIn">
					<div class="section-thumb">
						<img src="assets/images/section-shape1.png" alt="Mohini Hotel">
					</div>
					<h1>Mohini’s Rooms & Suites</h1>
					<p class="section-desc-2"><?php echo ucwords(htmlspecialchars($rowtype['description'])); ?></p>
					
				</div>
			</div>
		</div>
		<div class="row align-items-center">
			<?php
$roomcat = isset($_GET['type']) ? $_GET['type'] : ''; 
$query = "SELECT r.*, c.room_cat,c.description, c.slug AS cat_slug 
          FROM rooms r 
          JOIN room_categories c ON r.room_cat_id = c.id 
          WHERE c.slug = ? AND r.is_available = 'available' 
          ORDER BY r.room_id ASC";

$stmt = mysqli_prepare($conn, $query);
mysqli_stmt_bind_param($stmt, 's', $roomcat);
mysqli_stmt_execute($stmt);
$result = mysqli_stmt_get_result($stmt);

// Check if there are results
if (mysqli_num_rows($result) > 0) {
    while ($row = mysqli_fetch_array($result)) {
        ?>
        <div class="col-lg-4 col-md-6">
            <div class="room-single-box" data-cue="zoomIn">
                <div class="room-thumb">
                    <img src="mohini_admin/<?php echo htmlspecialchars($row['room_image']); ?>" alt="<?php echo htmlspecialchars($row['room_title']); ?>" style="width: 410px; height: 320px">
                    <div class="room-details-button">
                        <a href="room-details.php?type=<?php echo urlencode($row['cat_slug']); ?>&title=<?php echo urlencode($row['slug']); ?>">View Details<i class="bi bi-arrow-right"></i></a>
                    </div>
                </div>
                <div class="room-pricing">
                    <span class="dolar">&#8377; <?php echo htmlspecialchars($row['price_per_night']); ?></span>
                    <span>Night</span>
                </div>
                <div class="room-content">
                    <h4><?php echo ucwords(htmlspecialchars($row['room_cat'])); ?></h4>
                    <a href="room-details.php?type=<?php echo urlencode($row['cat_slug']); ?>&title=<?php echo urlencode($row['slug']); ?>"><?php echo ucwords(htmlspecialchars($row['room_title'])); ?></a>
                    <p>
                        <?php
                        // Fetch facilities for the room
                        $room_id = $row['room_id'];
                        $facilities_query = "SELECT f.facilityname 
                                             FROM room_facilities rf 
                                             JOIN facilities f ON rf.facility_id = f.id 
                                             WHERE rf.room_id = $room_id";
                        $facilities_result = mysqli_query($conn, $facilities_query);
                        $facilities = [];
                        while ($facility = mysqli_fetch_assoc($facilities_result)) {
                            $facilities[] = $facility['facilityname'];
                        }
                        echo htmlspecialchars(implode(', ', $facilities));
                        ?>
                    </p>
                </div>
				<!--<div class="room-bottom">
	                    	<div class="room-bottom-icon">
	                    		<span><img src="assets/images/home-1/room-bottom-icon.png" alt="">2 King Bed</span>
	                    	</div>
	                    	
	                    </div>-->
            </div>
        </div>
        <?php
    }
} else {
    echo '<h3 align="center">No rooms available for the ' . ucwords(htmlspecialchars($rowtype['room_cat'])) . '.</h3>';
}
?>

				
		    		    
					   
		    							    					
		</div>
	</div>
</div>

<?php include('inc/footer.php');?>