<?php include('inc/template.php');?>
<div class="breadcumb-area d-flex align-items-center">
	<div class="container">
		<div class="row align-items-center">
			<div class="col-md-12">
				<div class="breacumb-content">
					<div class="breadcum-title">
						<h4>Room Details</h4>
					</div>
					<ul>
						<li><a href="index.php">Home</a></li>
						<li>/</li>
						<li>Room Details</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>
<!--room-area-->
<div class="room-details">
	<div class="container">
		<?php
$roomcat = isset($_GET['type']) ? $_GET['type'] : '';
$roomtitle = isset($_GET['title']) ? $_GET['title'] : '';
$query = "SELECT r.*, c.room_cat, c.slug AS cat_slug 
          FROM rooms r 
          JOIN room_categories c ON r.room_cat_id = c.id 
          WHERE c.slug = ? AND r.is_available = 'available' 
          ORDER BY r.room_id ASC";

$stmt = mysqli_prepare($conn, $query);
mysqli_stmt_bind_param($stmt, 's', $roomcat);
mysqli_stmt_execute($stmt);
$result = mysqli_stmt_get_result($stmt);

// Check if there are results
if (mysqli_num_rows($result) > 0) {
  $row = mysqli_fetch_array($result);
		$room_id = $row['room_id'];
		$room_cat_id = $row['room_cat_id'];
        ?>
		<div class="row">
			<div class="col-lg-8">
				<div class="row">
					<div class="room-details-list owl-carousel">
						<?php
                        // Fetch facilities for the room
                        
                        $photo_query = "SELECT room_photo FROM room_photos WHERE room_id = $room_id";
                        $photo_result = mysqli_query($conn, $photo_query);
                       
                        while ($photorow = mysqli_fetch_assoc($photo_result)) { ?>
                            
                      
					    <div class="col-lg-12">
					    	<div class="room-detils-thumb">
					    		<img src="mohini_admin/<?php echo htmlspecialchars($photorow['room_photo']); ?>" style="width: 850px; height: 501px" alt="Mohini Hotel Room">
					    	</div>
					    </div>							   
					   		<?php } ?>			    
					</div>
				</div>
				<div class="row">
					<div class="col-lg-12">
						<div class="room-details-content">
							<h4><?php echo ucwords(htmlspecialchars($row['room_cat'])); ?></h4>
							<h1><?php echo ucwords(htmlspecialchars($row['room_title'])); ?></h1>
							<p class="room-detils-desc" data-cue="zoomIn"><?php echo ucwords(htmlspecialchars($row['room_description'])); ?>
                            </p>

                           

                            <div class="room-details-check-box" data-cue="zoomIn">
                            	<div class="room-details-check-content">
                            		<span><img src="assets/images/inner/room-details-1.png" alt="">Check In</span>
                            		<p class="check-item"><i class="bi bi-check2"></i>Check-in 11:00 AM</p>
                            		<!--<p class="check-item"><i class="bi bi-check2"></i>Early check-in subject to availability</p>-->
                            	</div>
                            </div>   

                            <div class="room-details-check-box upper" data-cue="zoomIn">
                            	<div class="room-details-check-content">
                            		<span><img src="assets/images/inner/room-details-2.png" alt="">Check Out</span>
                            		<p class="check-item"><i class="bi bi-check2"></i>Check-out 11:00 AM</p>
                            		<!--<p class="check-item"><i class="bi bi-check2"></i>Check-out from 9:00 AM - anytime</p>-->
                            	</div>
                            </div>

							<div class="room-details-amenities">
							<div class="room-details-amenities-content">
								<h4>Amenities</h4>
							</div>
							<div class="room-amenities-item">
								<ul>
						<?php
                        $facilities_query = "SELECT f.facilityname FROM room_facilities rf JOIN facilities f ON rf.facility_id = f.id  WHERE rf.room_id = $room_id";
                        $facilities_result = mysqli_query($conn, $facilities_query);
                       
                        while ($facilitiesrow = mysqli_fetch_assoc($facilities_result)) { ?>
									<li><i class="fas fa-angle-double-right"></i> <?php echo ucwords(htmlspecialchars($facilitiesrow['facilityname'])); ?></li>
									<?php } ?>
									
								</ul>
							</div>
						</div>
                            <!--<h1 class="room-detils-title-2" data-cue="zoomIn">Childreen & Extra Beds</h1>-->
                            <!--<p class="room-detils-desc" data-cue="zoomIn">Applications without seamless data. Uniquely underwhelm quality outsourcing before 
                             transparent relationships. Efficiently enhance diverse relationships whereas leveraged new house cafe.</p>-->

                           <!-- <div class="room-detls-list-item" data-cue="zoomIn">
                             	<ul>
                             		<li><i class="bi bi-check2"></i>Quickly generate bricks-and-clicks</li>
                             		<li><i class="bi bi-check2"></i>Interactively cultivate visionary platforms</li>
                             		<li><i class="bi bi-check2"></i>Energistically envisioneer resource</li>
                             		<li><i class="bi bi-check2"></i>Uniquely restore turnkey paradigms</li>
                             	</ul>
                            </div>-->
						</div>
					</div>
				</div>
			</div>
			<div class="col-lg-4 ">
				<div class="row">
					<div class="col-lg-12 ">
						<div class="booking-area home-five">
							<div class="booking-list-content">
								<h4>Booking Inquiry</h4>
							</div>
			<form action="#" method="POST" id="dreamit-form">
    <div class="row">
        <!-- Name Input -->
        <div class="col-lg-12 col-md-12 col-sm-12">
            <div class="single-booking-box">
                <label>Name</label>
                <input type="text" id="fullname" maxlength="50" >
                <input type="hidden" id="roomname" value="<?php echo ucwords(htmlspecialchars($row['room_title'])); ?>">
            </div>
        </div>

        <!-- Mobile Input -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Mobile</label>
                <input type="tel" id="mobile" pattern="\d{10}" maxlength="10" inputmode="numeric"  oninput="this.value=this.value.replace(/[^0-9]/g,'');">
            </div>
        </div>

        <!-- Email Input -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Email</label>
                <input type="email"  id="email">
            </div>
        </div>

        <!-- Check-In Date -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Check-In:</label>
                <input type="date" id="check_in" min="<?php echo date('Y-m-d'); ?>" >
            </div>
        </div>

        <!-- Check-Out Date -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Check-Out:</label>
                <input type="date" id="check_out" min="<?php echo date('Y-m-d'); ?>" >
            </div>
        </div>

        <!-- Adult Input -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Adult:</label>
                <input type="number" id="adult" min="1" max="100" step="1" value="1"  oninput="this.value = Math.min(Math.max(this.value, 1), 100)">
            </div>
        </div>

        <!-- Children Input -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Children:</label>
                <input type="number" id="children" min="0" max="100" step="1" value="0"  oninput="this.value = Math.min(Math.max(this.value, 0), 100)">
            </div>
        </div>

        <!-- Message -->
        <div class="col-lg-12 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <textarea id="message" placeholder="Write Message" maxlength="100" ></textarea>
            </div>
        </div>

        <!-- CAPTCHA -->
        <div class="col-lg-12 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Enter Captcha</label>
                <input id="captcha" name="captcha" type="text" required />
                <img id="captcha_code" src="captcha_code.php" alt="" />
                <button class="btnRefresh" name="submit">Refresh Captcha</button>
            </div>
        </div>

        <!-- Submit Button -->
        <div class="col-md-12">
            <div class="booking-button">
                <button type="submit">Send Now</button>
            </div>
        </div>
    </div>
</form>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script> <!-- jQuery -->
<script>
$(document).ready(function() {
    // Handle form submission
    $('#dreamit-form').on('submit', function(event) {
        event.preventDefault(); // Prevent default form submission

        // Get form data
        var formData = {
            fullname: $('#fullname').val(),
            roomname: $('#roomname').val(),
            mobile: $('#mobile').val(),
            email: $('#email').val(),
            check_in: $('#check_in').val(),
            check_out: $('#check_out').val(),
            adult: $('#adult').val(),
            children: $('#children').val(),
            message: $('#message').val(),
            captcha: $('#captcha').val()
        };

        // Basic client-side validation
        if (!formData.fullname || !formData.mobile || !formData.email || !formData.check_in || !formData.check_out) {
            alert('Please fill in all required fields.');
            return false;
        }

        // Send form data via AJAX
        $.ajax({
            url: 'booking_inquiry_action.php',  // Your PHP file for processing the form
            type: 'POST',
            data: formData,
            success: function(response) {
                try {
                    var jsonResponse = JSON.parse(response); // Parse the JSON response from the server
                    if (jsonResponse.status === 'success') {
                        alert('Booking inquiry sent successfully!');
                        $('#dreamit-form')[0].reset(); // Reset the form
                    } else {
                        alert(jsonResponse.message || 'An error occurred.');
                    }
                } catch (e) {
                    alert('Unexpected error occurred.');
                }
            },
            error: function() {
                alert('An error occurred while sending the inquiry.');
            }
        });
    });
});
</script>

						</div>
						
					</div>
				</div>
			</div>
		</div>
		<?php
   
} else {
    echo '<h3>No rooms available for the selected category.</p>';
}
?>
	</div>
</div>
<div class="room-area inner two">
	<div class="container">
		<div class="row">
			<div class="col-md-12 text-center">
				<div class="section-title center" data-cue="zoomIn">
					<div class="section-thumb">
						<img src="assets/images/section-shape1.png" alt="Mohini Hotel">
					</div>
					<h1>More Related Rooms</h1>
					
				</div>
			</div>
		</div>
		<div class="row" data-cue="zoomIn">
			<?php
 $query2 = "SELECT r.*, c.room_cat FROM rooms r 
          JOIN room_categories c ON r.room_cat_id = c.id WHERE r.room_cat_id = '$room_cat_id' AND r.is_available = 'available'
          ORDER BY r.room_id ASC";
$result2 = mysqli_query($conn, $query2);
if (mysqli_num_rows($result2) > 0) {
?>
			<div class="room_list owl-carousel">
				
				<?php while ($row2 = mysqli_fetch_array($result2)) { ?>
			    <div class="col-lg-12">
					<div class="room-single-box">
						<div class="room-thumb">
							<img src="mohini_admin/<?php echo htmlspecialchars($row2['room_image']); ?>" alt="<?php echo htmlspecialchars($row['room_title']); ?>" style="width: 432px; height: 320px">
							<div class="room-details-button">
								<a href="room-details.php?type=<?php echo urlencode($row2['cat_slug']); ?>&title=<?php echo urlencode($row2['slug']); ?>">View Details<i class="bi bi-arrow-right"></i></a>
							</div>
						</div>
						<div class="room-pricing">
							<span class="dolar">&#8377; <?php echo htmlspecialchars($row['price_per_night']); ?></span>
							<span>Night</span>
						</div>
	                    <div class="room-content">
	                    	<h4><?php echo ucwords(htmlspecialchars($row['room_cat'])); ?></h4>
	                    	<a href="room-details.php?type=<?php echo urlencode($row['cat_slug']); ?>&title=<?php echo urlencode($row['slug']); ?>"><?php echo ucwords(htmlspecialchars($row['room_title'])); ?></a>
	                    	<p><?php
                        // Fetch facilities for the room
                        $room_id = $row['room_id'];
                        $facilities_query = "SELECT f.facilityname 
                                             FROM room_facilities rf 
                                             JOIN facilities f ON rf.facility_id = f.id 
                                             WHERE rf.room_id = $room_id";
                        $facilities_result = mysqli_query($conn, $facilities_query);
                        $facilities = [];
                        while ($facility = mysqli_fetch_assoc($facilities_result)) {
                            $facilities[] = $facility['facilityname'];
                        }
                        echo htmlspecialchars(implode(', ', $facilities));
                        ?></p>
	                    </div>
	                    
					</div>
				</div>	
				<?php } ?>
				    					
			</div>
			<?php
   
} else {
    echo '<h3>No rooms available...</p>';
}
?>
		</div>
	</div>
</div>
 <script type="text/javascript" src="assets/js/jquery-1.11.1.min.js"></script>
	<script type="text/javascript">
	
	
	$(document).ready(function(){	
   $('.btnAction').click(function(){
	   if($('#captcha').val() == '')
	   {
		   alert("Please enter the captcha code");
		   return false;
	   }
	})
	
	$('.btnRefresh').click(function(){
		  $("#captcha_code").attr('src','captcha_code.php');
		  return false;
	   })	
							}) 
</script>           
<?php include('inc/footer.php');?>