<?php include('inc/template.php');?>

<div class="breadcumb-area d-flex align-items-center">
	<div class="container">
		<div class="row align-items-center">
			<div class="col-md-12">
				<div class="breacumb-content">
					<div class="breadcum-title">
						<h4>Booking Inquiry</h4>
					</div>
					<ul>
						<li><a href="index.php">Home</a></li>
						<li>/</li>
						<li>Booking Inquiry</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>
<!--room-area-->
<div class="contact-area style-two inner">
	<div class="container">
		<div class="row">
			<div class="col-lg-5 upper col-md-12 col-sm-12">
				<div class="contact-thumb">
					<img src="assets/images/home3/contact-thumb.jpg" alt="">
				</div>
			</div>
			<div class="col-lg-7 upper col-md-12 col-sm-12">
				<div class="booking-area home-five">
							<div class="booking-list-content">
								<h4>Booking Inquiry</h4>
							</div>
			<form action="#" method="POST" id="dreamit-form">
    <div class="row">
        <!-- Name Input -->
        <div class="col-lg-12 col-md-12 col-sm-12">
            <div class="single-booking-box">
                <label>Name</label>
                <input type="text" id="fullname" maxlength="50" >
                
            </div>
        </div>

        <!-- Mobile Input -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Mobile</label>
                <input type="tel" id="mobile" pattern="\d{10}" maxlength="10" inputmode="numeric"  oninput="this.value=this.value.replace(/[^0-9]/g,'');">
            </div>
        </div>

        <!-- Email Input -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Email</label>
                <input type="email"  id="email">
            </div>
        </div>
		<div class="col-lg-12 col-md-12 col-sm-12">
            <div class="single-booking-box">
                <label>Room Type</label>
               <select name="roomname" id="roomname">
							<option value="">select room..</option>
				   <?php
$query = "SELECT room_id, room_title FROM rooms WHERE is_available = 'available' ORDER BY room_title ASC";
$result = mysqli_query($conn, $query);
while ($row = mysqli_fetch_array($result)) {
?>
							<option value="<?php echo ucwords(htmlspecialchars($row['room_title'])); ?>"><?php echo ucwords(htmlspecialchars($row['room_title'])); ?></option>
							<?php } ?>
						</select>
            </div>
        </div>
        <!-- Check-In Date -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Check-In:</label>
                <input type="date" id="check_in" min="<?php echo date('Y-m-d'); ?>" >
            </div>
        </div>

        <!-- Check-Out Date -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Check-Out:</label>
                <input type="date" id="check_out" min="<?php echo date('Y-m-d'); ?>" >
            </div>
        </div>

        <!-- Adult Input -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Adult:</label>
                <input type="number" id="adult" min="1" max="100" step="1" value="1"  oninput="this.value = Math.min(Math.max(this.value, 1), 100)">
            </div>
        </div>

        <!-- Children Input -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Children:</label>
                <input type="number" id="children" min="0" max="100" step="1" value="0"  oninput="this.value = Math.min(Math.max(this.value, 0), 100)">
            </div>
        </div>

        <!-- Message -->
        <div class="col-lg-12 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <textarea id="message" placeholder="Write Message" maxlength="100" ></textarea>
            </div>
        </div>

        <!-- CAPTCHA -->
        <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <label>Enter Captcha</label>
                <input id="captcha" name="captcha" type="text" required />
                
                </div>
        </div>
		 <div class="col-lg-6 col-md-6 col-sm-6">
            <div class="single-booking-box">
                <br>
               <img id="captcha_code" src="captcha_code.php" alt="" />
                <button class="btnRefresh" name="submit">Refresh Captcha</button>
                
                </div>
        </div>
		

        <!-- Submit Button -->
        <div class="col-md-12">
            <div class="booking-button">
                <button type="submit">Send Now</button>
            </div>
        </div>
    </div>
</form>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script> <!-- jQuery -->
<script>
$(document).ready(function() {
    // Handle form submission
    $('#dreamit-form').on('submit', function(event) {
        event.preventDefault(); // Prevent default form submission

        // Get form data
        var formData = {
            fullname: $('#fullname').val(),
            roomname: $('#roomname').val(),
            mobile: $('#mobile').val(),
            email: $('#email').val(),
            check_in: $('#check_in').val(),
            check_out: $('#check_out').val(),
            adult: $('#adult').val(),
            children: $('#children').val(),
            message: $('#message').val(),
            captcha: $('#captcha').val()
        };

        // Basic client-side validation
        if (!formData.fullname || !formData.mobile || !formData.email || !formData.check_in || !formData.check_out) {
            alert('Please fill in all required fields.');
            return false;
        }

        // Send form data via AJAX
        $.ajax({
            url: 'booking_inquiry_action.php',  // Your PHP file for processing the form
            type: 'POST',
            data: formData,
            success: function(response) {
                try {
                    var jsonResponse = JSON.parse(response); // Parse the JSON response from the server
                    if (jsonResponse.status === 'success') {
                        alert('Booking inquiry sent successfully!');
                        $('#dreamit-form')[0].reset(); // Reset the form
                    } else {
                        alert(jsonResponse.message || 'An error occurred.');
                    }
                } catch (e) {
                    alert('Unexpected error occurred.');
                }
            },
            error: function() {
                alert('An error occurred while sending the inquiry.');
            }
        });
    });
});
</script>
					<script type="text/javascript" src="assets/js/jquery-1.11.1.min.js"></script>
	<script type="text/javascript">
	
	
	$(document).ready(function(){	
   $('.btnAction').click(function(){
	   if($('#captcha').val() == '')
	   {
		   alert("Please enter the captcha code");
		   return false;
	   }
	})
	
	$('.btnRefresh').click(function(){
		  $("#captcha_code").attr('src','captcha_code.php');
		  return false;
	   })	
							}) 
</script>       

						</div>
				
			</div>
		</div>
	</div>
</div>

<?php include('inc/footer.php');?>