<div class="subscribe-area home-four">
	<div class="container">
		
		<div class="location-bar">
    <div class="location-item">
        <i class="fas fa-train"></i> 
        <span class="location-title">Sabarmati Railway Station</span>
        <span class="distance">2 km</span>
    </div>
    <div class="location-item">
        <i class="fas fa-baseball-ball"></i>
        <span class="location-title">Motera Stadium</span>
        <span class="distance">0.5 km</span>
    </div>
    <div class="location-item">
        <i class="fas fa-plane"></i>
        <span class="location-title">Airport</span>
        <span class="distance">7 km</span>
    </div>
    <div class="location-item">
        <i class="fas fa-bus"></i>
        <span class="location-title">Ahmedabad Main Station</span>
        <span class="distance">9 km</span>
    </div>
</div>
	</div>
</div>
<div class="footer-area home-three" data-cue="zoomIn">
	
	<div class="container">
		<div class="row">
			<div class="col-lg-4 col-md-6 col-sm-6">
				<div class="footer-widget-logo">
					<a href="index.php"><img src="assets/images/mohini_logo.png" alt="Hotel Mohini" width="200"></a>
				</div>
				<div class="footer-desc">
					<p align="left">Welcome to Hotel Mohini, your ideal escape in the heart of Ahmedabad. Strategically located near major landmarks such as Sabarmati Railway Station, Motera Stadium, and Main Bus Stand, we ensure that your stay is both comfortable and convenient.</p>
				</div>
				<div class="footer-widget-social-icon">
					<ul>
						<li>Follow Us:</li>
						<li><i class="fab fa-facebook-f"></i></li>
						<li><i class="fab fa-instagram"></i></li>
						<li><a href="#"><i class="fab fa-youtube"></i></a></li>
					</ul>
				</div>
			</div>
						
			<div class="col-lg-2 col-md-6 col-sm-6">
				<div class="footer-widget-content">
					<div class="footer-widget-title">
						<h4>Useful Links</h4>
					</div>
					<div class="footer-widget-menu">
						<ul>
							<li><a href="#">About Us</a></li>
							<li><a href="#">Get in Touch</a></li>
							<li><a href="#">Contact Us</a></li>
							<li><a href="#">Booking Inquiry </a></li>
							
						</ul>
					</div>
				</div>
			</div>
			<div class="col-lg-2 col-md-6 col-sm-6">
				<div class="footer-widget-content">
					<div class="footer-widget-title">
						<h4>Room Categories</h4>
					</div>
					<div class="footer-widget-menu">
						<ul>
							<?php 
$sql = "SELECT id,slug, room_cat FROM room_categories WHERE status = '1'";
$result = mysqli_query($conn, $sql);

if (mysqli_num_rows($result) > 0) {
    while($row = mysqli_fetch_assoc($result)) {
        // Output the category in the list
        ?>
       <li><a href="our-rooms.php?type=<?php echo $row['slug']; ?>"><?php echo ucwords(htmlspecialchars($row['room_cat'])); ?></a></li>
        <?php    }
} else {
    echo "No records found.";
}
?>
							
						</ul>
					</div>
				</div>
			</div>
			<div class="col-lg-4 col-md-6 col-sm-6">
				<div class="footer-widget-content">
					<div class="footer-widget-title">
						<h4>Address</h4>
					</div>
                    <div class="footer-widget-contact">
						<?php 
$sql = "SELECT hotel_address,email,contact_office,contact_mobile FROM hotel_contacts where status = '1'";
$result = mysqli_query($conn, $sql);
if (mysqli_num_rows($result) > 0) {
$row = mysqli_fetch_assoc($result)
?>
                    	<div class="footer-widget-contact-box">
                    		<div class="footer-widget-contact-icon">
                    			<i class="bi bi-geo-alt-fill"></i>
                    		</div>
                    		<div class="footer-widget-contact-content">
                    			<h4>Location:</h4>
                    			<p><?php echo $row['hotel_address'];?></p>
                    		</div>
                    	</div>                    
                    	<div class="footer-widget-contact-box">
                    		<div class="footer-widget-contact-icon">
                    			<i class="bi bi-chat"></i>
                    		</div>
                    		<div class="footer-widget-contact-content">
                    			<h4>Email:</h4>
                    			<p><a href="mailto:<?php echo $row['email']; ?>" style="color: white"><?php echo $row['email']; ?></a></p>
                    		</div>
                    	</div>                    	
                    	<div class="footer-widget-contact-box">
                    		<div class="footer-widget-contact-icon">
                    			<i class="bi bi-telephone"></i>
                    		</div>
                    		<div class="footer-widget-contact-content">
                    			<h4>Phone:</h4>
                    			<p><a href="tel:<?php echo $row['contact_office']; ?>" style="color: white">+91 <?php echo substr($row['contact_office'], 0, 5) . ' ' . substr($row['contact_office'], 5); ?></p>
                    		</div>
                    	</div>
						<?php  } else {  echo "No records found."; ?>
			<?php }  ?>
                    </div>
				</div>
			</div>
			
		</div>
		
		<div class="row add-border">
			<div class="col-lg-12">
				<div class="footer-bottom-content">
					<p>Copyright © 2025 Hotel Mohini All rights reserved. | Develop By <a href="https://successinfotech.com/" target="_blank">&nbsp; Success Infotech.</a></p>
				</div>
			</div>
			
	   </div>
	</div>
</div>

	<div class="curser"></div>
	<div class="curser2"></div>

   <div class="prgoress_indicator active-progress">
        <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
          <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" style="transition: stroke-dashoffset 10ms linear 0s; stroke-dasharray: 307.919, 307.919; stroke-dashoffset: 270.456;"></path>
        </svg>
    </div>

	<!-- jquery js -->
	<script src="assets/js/vendor/jquery-3.6.2.min.js"></script>
	<script src="assets/js/popper.min.js"></script>
	<!-- bootstrap js -->
	<script src="assets/js/bootstrap.min.js"></script>
	<!-- carousel js -->
	<script src="assets/js/owl.carousel.min.js"></script>
	<!-- counterup js -->
	<script src="assets/js/jquery.counterup.min.js"></script>
	<!-- waypoints js -->
	<script src="assets/js/waypoints.min.js"></script>
	<!-- wow js -->
	<script src="assets/js/wow.js"></script>
	<!-- imagesloaded js -->
	<script src="assets/js/imagesloaded.pkgd.min.js"></script>
	<!-- venobox js -->
	<script src="venobox/venobox.js"></script>

	<!--  animated-text js -->
	<script src="assets/js/animated-text.js"></script>
	<!-- venobox min js -->
	<script src="venobox/venobox.min.js"></script>
	<!-- isotope js -->
	<script src="assets/js/isotope.pkgd.min.js"></script>
	<!-- jquery meanmenu js -->
	<script src="assets/js/jquery.meanmenu.js"></script>

	<!-- jquery scrollup js -->
	<script src="assets/js/jquery.scrollUp.js"></script>
	<!-- theme js -->
	<script src="assets/js/theme.js"></script>
	<!-- coustom js -->
	<script src="assets/js/coustom.js"></script>
	<!-- barfiller -->
	<script src="assets/js/jquery.barfiller.js"></script>
	<!-- barfiller -->
	<script src="assets/js/scrollCue.min.js"></script>
</body>

</html>