<?php include('inc/template.php');?>
<?php include('inc/slider.php');?>
<div class="service-area home-five">
	<div class="container">
		<div class="col-md-12 text-center">
				<div class="section-title center" data-cue="zoomIn">
					<div class="section-thumb">
						<img src="assets/images/section-shape1.png" alt="">
					</div>
					<h1>Mohini’s Rooms Type</h1>
					<p class="section-desc-1">A.C. NON A.C. ROOMS AVAILABLE WITH COMFORT INN STAY</p>
				</div>
			</div>
		<div class="row">
			<?php 
$sqlr = "SELECT id,slug, room_cat,description,photo FROM room_categories WHERE status = '1'";
$resultr = mysqli_query($conn, $sqlr);

if (mysqli_num_rows($resultr) > 0) {
    while($rowr = mysqli_fetch_assoc($resultr)) {
        // Output the category in the list
        ?>
			<div class="col-lg-3 col-md-6">
				<div class="single-service-box" data-cue="zoomIn">
					<div class="service-box-thumb">
						<img src="mohini_admin/<?php echo !empty($rowr['photo']) ? htmlspecialchars($rowr['photo']) : 'mohini_admin/assets/img/no-image.jpg'; ?>" alt="<?php echo ucwords(htmlspecialchars($rowr['room_cat'])); ?>" style="width: 420px; height: 400px">
					</div>
					<div class="service-content">
						<h4><?php echo ucwords(htmlspecialchars($rowr['room_cat'])); ?></h4>
						<p style="font-size: 12px" align="left"><?php echo ucwords(substr(htmlspecialchars($rowr['description']), 0, 200)) . '...'; ?>

                        </p>
                        <div class="service-button">
					     <a href="our-rooms.php?type=<?php echo $rowr['slug']; ?>">View</a>
				        </div>
					</div>
				</div>
			</div>	
			<?php    }
} else {
    echo "No records found.";
}
?>
		</div>
	</div>
</div>
<div class="about-area home-five">
	<div class="container">
		<div class="row align-items-center">
			<div class="col-lg-6 col-md-12">
				<div class="about-thumb" data-cue="zoomIn">
					<img src="assets/images/home5/about-thumb.png" alt="">
					
				</div>
			</div>
			<div class="col-lg-6 col-md-12">
				<div class="section-title" data-cue="zoomIn">
					<h1>Welcome to the Mohini</h1>
					<p>Welcome to Hotel Mohini, your ideal escape in the heart of Ahmedabad. Strategically located near major landmarks such as Sabarmati Railway Station, Motera Stadium, and Main Bus Stand, we ensure that your stay is both comfortable and convenient.</p>
					
				</div>
				<div class="luxury-button" data-cue="zoomIn">
					<a href="#">Learn More</a>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="feature-area">
	<div class="container">
		<div class="row">
			<div class="col-md-12 text-center">
				<div class="section-title center" data-cue="zoomIn">
					<div class="section-thumb">
						<img src="assets/images/section-shape1.png" alt="">
					</div>
					<h1>Hotel’S Facilities</h1>
					<p class="section-desc-1">Hotel Mohini Ahmedabad offers spacious rooms, free Wi-Fi, 24/7 room service, a business center, and easy access to Motera Stadium for a comfortable stay.</p>
				</div>
			</div>
		</div>
		<div class="row"  data-cue="zoomIn">
			
			<div class="col-lg-3 col-md-4 col-sm-6">
				<div class="single-feature-box">
					<div class="feature-icon">
						<img src="assets/images/home-1/feature-1.png" alt="">
					</div>
					<div class="feature-content">
						<h4>Room Services</h4>
					</div>
				</div>
			</div>			
			<div class="col-lg-3 col-md-4 col-sm-6">
				<div class="single-feature-box">
					<div class="feature-icon">
						<img src="assets/images/home-1/feature-2.png" alt="">
					</div>
					<div class="feature-content">
						<h4>Wi-Fi Internet</h4>
					</div>
				</div>
			</div>			
<!--
			<div class="col-lg-2 col-md-4 col-sm-6">
				<div class="single-feature-box">
					<div class="feature-icon">
						<img src="assets/images/home-1/feature-3.png" alt="">
					</div>
					<div class="feature-content">
						<h4>Smart Key</h4>
					</div>
				</div>
			</div>			
-->
			<div class="col-lg-3 col-md-4 col-sm-6">
				<div class="single-feature-box">
					<div class="feature-icon">
						<img src="assets/images/home-1/feature-3.png" alt="">
					</div>
					<div class="feature-content">
						<h4>Air conditioner</h4>
					</div>
				</div>
			</div>			
			<div class="col-lg-3 col-md-4 col-sm-6">
				<div class="single-feature-box">
					<div class="feature-icon">
						<img src="assets/images/home-1/feature-4.png" alt="">
					</div>
					<div class="feature-content">
						<h4>Parking</h4>
					</div>
				</div>
			</div>			
			<!--<div class="col-lg-2 col-md-4 col-sm-6">
				<div class="single-feature-box">
					<div class="feature-icon">
						<img src="assets/images/home-1/feature-2.png" alt="">
					</div>
					<div class="feature-content">
						<h4>Wi-Fi Internet</h4>
					</div>
				</div>
			</div>-->
		</div>
	</div>
</div>
<div class="room-title-area">
	<div class="container">
		<div class="row">
			<div class="col-md-12 text-center">
				<div class="section-title center" data-cue="zoomIn">
					<div class="section-thumb">
						<img src="assets/images/section-shape1.png" alt="">
					</div>
					<h1>Mohini’s Rooms & Suites</h1>
					<p class="section-desc-1">A.C. NON A.C. ROOMS AVAILABLE WITH COMFORT INN STAY</p>
				</div>
			</div>
		</div>
	</div>
</div>
<!--room-area-->
<div class="room-area">
	<div class="container">
		<div class="row margin-top" data-cue="zoomIn">
			<div class="room_list owl-carousel">
			    <div class="col-lg-12">
					<div class="room-single-box">
						<div class="room-thumb">
							<img src="assets/images/home-1/room-1.jpg" alt="">
							<div class="room-details-button">
								<a href="room-details.html">View Details<i class="bi bi-arrow-right"></i></a>
							</div>
						</div>
						<div class="room-pricing">
							<span class="dolar">$560</span>
							<span>Night</span>
						</div>
	                    <div class="room-content">
	                    	<h4>Luxury Room</h4>
	                    	<a href="room.html">Delux Family Rooms</a>
	                    	<p>1500 SQ.FT/Rooms</p>
	                    </div>
	                    <div class="room-bottom">
	                    	<div class="room-bottom-icon">
	                    		<span><img src="assets/images/home-1/room-bottom-icon.png" alt="">2 King Bed</span>
	                    	</div>
	                    	<!--<div class="coustomar-rating">
	                    		<ul>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-half"></i></li>
	                    		</ul>
	                    	</div>-->
	                    </div>
					</div>
				</div>			
				<div class="col-lg-12">
					<div class="room-single-box">
						<div class="room-thumb">
							<img src="assets/images/home-1/room-2.jpg" alt="">
							<div class="room-details-button">
								<a href="room-details.html">View Details<i class="bi bi-arrow-right"></i></a>
							</div>
						</div>
						<div class="room-pricing">
							<span class="dolar">$560</span>
							<span>Night</span>
						</div>
	                    <div class="room-content">
	                    	<h4>Luxury Room</h4>
	                    	<a href="room.html">Doubble Suite Rooms</a>
	                    	<p>1500 SQ.FT/Rooms</p>
	                    </div>
	                    <div class="room-bottom">
	                    	<div class="room-bottom-icon">
	                    		<span><img src="assets/images/home-1/room-bottom-icon.png" alt="">2 King Bed</span>
	                    	</div>
	                    	<!--<div class="coustomar-rating">
	                    		<ul>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    		</ul>
	                    	</div>-->
	                    </div>
					</div>
				</div>			
				<div class="col-lg-12">
					<div class="room-single-box">
						<div class="room-thumb">
							<img src="assets/images/home-1/room-3.jpg" alt="">
							<div class="room-details-button">
								<a href="room-details.html">View Details<i class="bi bi-arrow-right"></i></a>
							</div>
						</div>
						<div class="room-pricing">
							<span class="dolar">$560</span>
							<span>Night</span>
						</div>
	                    <div class="room-content">
	                    	<h4>Luxury Room</h4>
	                    	<a href="room.html">Suprior Bed Rooms</a>
	                    	<p>1500 SQ.FT/Rooms</p>
	                    </div>
	                    <div class="room-bottom">
	                    	<div class="room-bottom-icon">
	                    		<span><img src="assets/images/home-1/room-bottom-icon.png" alt="">2 King Bed</span>
	                    	</div>
	                    	<!--<div class="coustomar-rating">
	                    		<ul>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star"></i></li>
	                    		</ul>
	                    	</div>-->
	                    </div>
					</div>
				</div>	
			  <div class="col-lg-12">
					<div class="room-single-box">
						<div class="room-thumb">
							<img src="assets/images/home-1/room-1.jpg" alt="">
							<div class="room-details-button">
								<a href="room-details.html">View Details<i class="bi bi-arrow-right"></i></a>
							</div>
						</div>
						<div class="room-pricing">
							<span class="dolar">$560</span>
							<span>Night</span>
						</div>
	                    <div class="room-content">
	                    	<h4>Luxury Room</h4>
	                    	<a href="room.html">Delux Family Rooms</a>
	                    	<p>1500 SQ.FT/Rooms</p>
	                    </div>
	                    <div class="room-bottom">
	                    	<div class="room-bottom-icon">
	                    		<span><img src="assets/images/home-1/room-bottom-icon.png" alt="">2 King Bed</span>
	                    	</div>
<!--
	                    	<div class="coustomar-rating">
	                    		<ul>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-fill"></i></li>
	                    			<li><i class="bi bi-star-half"></i></li>
	                    		</ul>
	                    	</div>
-->
	                    </div>
					</div>
				</div>							    					
			</div>
		</div>
	</div>
</div>

<div class="vedio-area home-four align-items-center d-flex">
	<div class="container">
        <div class="row align-items-center">
        	<div class="col-md-12">
        		<div class="vedio-content" data-cue="zoomIn">
        			<a class="video-vemo-icon venobox vbox-item" data-vbtype="youtube" data-autoplay="true" href="https://www.youtube.com/watch?v=e6R6VsgD8yQ&amp;%20%20%20%20%20%20%20%20amp;t=179s">Play</a>
        		</div>
        	</div>
        </div>
	</div>
</div>

<div class="testimonial-area home-two">
	<div class="container">
		<div class="row">
			<div class="col-md-12 text-center">
				<div class="section-title center home-two" data-cue="zoomIn">
					<h4>Our Testimonials</h4>
					<h1>Feedback from our Guests</h1>
					<p class="section-desc-2 home-two">A wonderful serenity has taken possession of my entire soul, like these royella dolor consectetur
                     adipiscing elit dos eiusmod tempor incididunt resort sweet spring</p>
				</div>
			</div>
		</div>
		<div class="row" data-cue="zoomIn">
			<div class="testi-list owl-carousel">
			    <div class="col-lg-12">
				<div class="single-testimonial-box-two">
					<div class="testi-content-two">
						<div class="testi-thumb-two">
							
						</div>
						<div class="testi-title">
							<h4>Al-Amin Hossain</h4>
							<p>Trip Advisor</p>
						</div>
					</div>
					<div class="testi-decs-two">
						<p>A wonderful serenity has taken possession my entire soul these in
                        royella consectetur royella dos eiusmod tempor incisdunt resorts
                        sweet wonderful serenity has taken possession my entire soul
                        royella consectetur royella dos eiusmod.</p>
					</div>
					
				</div>
			    </div>			   
			    
			</div>
		</div>
	</div>
</div>



<?php include('inc/footer.php');?>