<?php
require_once 'inc/config.php';

if (isset($_GET['room_id'])) {
    $room_id = intval($_GET['room_id']);

    // Fetch room details
    $query = "SELECT r.room_description, GROUP_CONCAT(f.facilityname SEPARATOR ', ') AS facilities
              FROM rooms r
              LEFT JOIN room_facilities rf ON r.room_id = rf.room_id
              LEFT JOIN facilities f ON rf.facility_id = f.id
              WHERE r.room_id = $room_id
              GROUP BY r.room_id";
    $result = mysqli_query($conn, $query);

    if ($row = mysqli_fetch_assoc($result)) {
        echo json_encode([
            'description' => $row['room_description'],
            'facilities' => $row['facilities']
        ]);
    } else {
        echo json_encode(['error' => 'Room details not found.']);
    }
}
?>
